Name:           frei0r
Version:        1.3
Release:        %mkrel 5
Summary:        Frei0r - a minimalistic plugin API for video effects
Group:          System/Libraries
License:        GPLv2+
URL:            http://www.piksel.org/frei0r
Source0:        http://www.piksel.no/frei0r/releases/frei0r-plugins-%{version}.tar.gz
BuildRequires:  gavl-devel >= 0.2.3
BuildRequires:  opencv-devel >= 1.0.0
Provides:	frei0r-plugins = %{version}-%{release}

%description
It is a minimalistic plugin API for video sources and filters. The behaviour of
the effects can be controlled from the host by simple parameters. The intent is
to solve the recurring reimplementation or adaptation issue of standard effect

%package        devel
Summary:        Development files for %{name}
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -n %{name}-%{version}

%build
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std INSTALL="install -p"

# Remove these, they'll be %%doc'ed
rm -rf %{buildroot}%{_docdir}/%{name}-plugins

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README TODO
%{_libdir}/%{name}-1/*.so

%files devel
%defattr(-,root,root,-)
%{_includedir}/frei0r.h
%{_libdir}/pkgconfig/frei0r.pc


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.3-5.mga3
+ Revision: 350960
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue May 29 2012 fwang <fwang> 1.3-4.mga3
+ Revision: 249009
- rebuild for new opencv

* Sat Aug 13 2011 fwang <fwang> 1.3-3.mga2
+ Revision: 132940
- rebuild for new opencv

* Thu Jun 09 2011 dams <dams> 1.3-2.mga2
+ Revision: 102363
- add a provide to frei0r-plugins

* Thu Jun 09 2011 ahmad <ahmad> 1.3-1.mga2
+ Revision: 102162
- Adapt the spec to the Mageia packaging guide lines
- Update to 1.3
- imported package frei0r-plugins

